Package fr.gouv.vitam.worker.core.handler

# Class AbstractAccessionRegisterAction.AccessionRegisterInfo

java.lang.Object
fr.gouv.vitam.worker.core.handler.AbstractAccessionRegisterAction.AccessionRegisterInfo

Enclosing class:
  `AbstractAccessionRegisterAction`

protected static class AbstractAccessionRegisterAction.AccessionRegisterInfo extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AccessionRegisterInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAcquisitionInformation()`
  `String`
  `getArchivalAgreement()`
  `String`
  `getArchivalProfile()`
  `List<String>`
  `getComment()`
  `String`
  `getLegalStatus()`
  `String`
  `getMessageIdentifier()`
  `String`
  `getOriginatingAgency()`
  `String`
  `getSubmissionAgency()`
  `void`
  `setAcquisitionInformation(String acquisitionInformation)`
  `void`
  `setArchivalAgreement(String archivalAgreement)`
  `void`
  `setArchivalProfile(String archivalProfile)`
  `void`
  `setComment(List<String> comment)`
  `void`
  `setLegalStatus(String legalStatus)`
  `void`
  `setMessageIdentifier(String messageIdentifier)`
  `void`
  `setOriginatingAgency(String originatingAgency)`
  `void`
  `setSubmissionAgency(String submissionAgency)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessionRegisterInfo

    protected AccessionRegisterInfo()

- ## Method Details

  - ### getOriginatingAgency

    public String getOriginatingAgency()

  - ### setOriginatingAgency

    public void setOriginatingAgency(String originatingAgency)

  - ### getSubmissionAgency

    public String getSubmissionAgency()

  - ### setSubmissionAgency

    public void setSubmissionAgency(String submissionAgency)

  - ### getAcquisitionInformation

    public String getAcquisitionInformation()

  - ### setAcquisitionInformation

    public void setAcquisitionInformation(String acquisitionInformation)

  - ### getLegalStatus

    public String getLegalStatus()

  - ### setLegalStatus

    public void setLegalStatus(String legalStatus)

  - ### getArchivalAgreement

    public String getArchivalAgreement()

  - ### setArchivalAgreement

    public void setArchivalAgreement(String archivalAgreement)

  - ### getArchivalProfile

    public String getArchivalProfile()

  - ### setArchivalProfile

    public void setArchivalProfile(String archivalProfile)

  - ### getMessageIdentifier

    public String getMessageIdentifier()

  - ### setMessageIdentifier

    public void setMessageIdentifier(String messageIdentifier)

  - ### getComment

    public List<String> getComment()

  - ### setComment

    public void setComment(List<String> comment)